export declare type ComponentFormMethods<T = Record<string, any>> = {
    [key: string]: any;
    submit: () => Promise<void>;
};
export declare type ComponentFormComputed<T = Record<string, any>> = {
    isEditing: boolean;
};
export declare type ComponentFormData<T = Record<string, any>> = {
    busy: boolean;
    form: Partial<T> | null;
};
export declare type ComponentFormVuelidate<T = Record<string, any>> = {
    $v: {
        [key: string]: any;
        form: {
            [K in keyof T]: any;
        };
    };
};
export declare type FormGroupProps = {
    errors: string[];
    invalid: boolean;
};
export declare type FormSubmitOptions = {
    updateText: string;
    createText: string;
};
//# sourceMappingURL=type.d.ts.map