import { BuildInput } from '@trapi/query';
import { PaginationMeta } from '../../components';
export declare type ComponentListData<T = Record<string, any>> = {
    busy: boolean;
    items: T[];
    q: string;
    meta: PaginationMeta;
    itemBusy: boolean;
};
export declare type ComponentListHandlerMethodOptions<T extends Record<string, any>> = {
    unshift?: boolean;
    filterFn?: (item: T) => boolean;
    emit?: boolean;
};
export declare type ComponentListMethods<T = Record<string, any>> = {
    [key: string]: any;
    load: () => Promise<void>;
    goTo: (options: PaginationMeta, resolve: () => void, reject: (err?: Error) => void) => void;
    handleCreated: (item: T, options?: ComponentListHandlerMethodOptions<T>) => void;
    handleUpdated: (item: T, options?: ComponentListHandlerMethodOptions<T>) => void;
    handleDeleted: (item: T, options?: ComponentListHandlerMethodOptions<T>) => void;
};
export declare type ComponentListItemData<T = Record<string, any>> = {
    busy: boolean;
    item: T | null;
    loaded?: boolean;
};
export declare type ComponentListProperties<T = Record<string, any>> = {
    query: BuildInput<T>;
    withHeader: boolean;
    withNoMore: boolean;
    withSearch: boolean;
    withPagination: boolean;
    loadOnInit: boolean;
};
//# sourceMappingURL=type.d.ts.map